# frozen_string_literal: true

require 'google_perspective/config'
require 'http'

module GooglePerspective
  class Client
    extend Forwardable

    BASE_URL = 'https://commentanalyzer.googleapis.com/v1alpha1/comments:analyze'.freeze

    attr_accessor :config

    def_delegators :config, :access_key

    def initialize
      @config = GooglePerspective.configuration
    end

    def post(data = {})
      http.post(url, json: data).parse
    end

    def url
      "#{BASE_URL}?key=#{access_key}"
    end

    def http
      @http ||= HTTP.accept(:json)
    end
  end
end
